@rem
@rem Copyright 2015 the original author or authors.
@rem
@rem Licensed under the Apache License, Version 2.0 (the "License");
@rem you may not use this file except in compliance with the License.
@rem You may obtain a copy of the License at
@rem
@rem      https://www.apache.org/licenses/LICENSE-2.0
@rem
@rem Unless required by applicable law or agreed to in writing, software
@rem distributed under the License is distributed on an "AS IS" BASIS,
@rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@rem See the License for the specific language governing permissions and
@rem limitations under the License.
@rem

@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  caom2harvester startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Resolve any "." and ".." in APP_HOME to make it shorter.
for %%i in ("%APP_HOME%") do set APP_HOME=%%~fi

@rem Add default JVM options here. You can also use JAVA_OPTS and CAOM2HARVESTER_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS="-Xms2048m" "-Xmx8192m" "-XX:OnOutOfMemoryError=\"kill -3 %%p\""

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto execute

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto execute

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\caom2harvester-2.5.9.jar;%APP_HOME%\lib\caom2persistence-2.4.12.jar;%APP_HOME%\lib\caom2-repo-1.4.3.jar;%APP_HOME%\lib\caom2-persist-2.4.4.jar;%APP_HOME%\lib\caom2-compute-2.4.8.jar;%APP_HOME%\lib\caom2-access-control-2.4.6.jar;%APP_HOME%\lib\caom2-2.4.7.jar;%APP_HOME%\lib\cadc-dali-pg-0.3.1.jar;%APP_HOME%\lib\cadc-dali-1.2.16.jar;%APP_HOME%\lib\cadc-vosi-1.4.4.jar;%APP_HOME%\lib\cadc-log-1.1.6.jar;%APP_HOME%\lib\cadc-access-control-1.1.25.jar;%APP_HOME%\lib\cadc-cdp-1.3.7.jar;%APP_HOME%\lib\cadc-rest-1.3.12.jar;%APP_HOME%\lib\cadc-registry-1.5.16.jar;%APP_HOME%\lib\cadc-wcs-2.1.3.jar;%APP_HOME%\lib\cadc-gms-1.0.3.jar;%APP_HOME%\lib\cadc-uws-1.0.5.jar;%APP_HOME%\lib\cadc-util-1.8.0.jar;%APP_HOME%\lib\postgresql-42.5.0.jar;%APP_HOME%\lib\log4j-1.2-api-2.17.2.jar;%APP_HOME%\lib\log4j-core-2.17.2.jar;%APP_HOME%\lib\log4j-api-2.17.2.jar;%APP_HOME%\lib\javax.servlet-api-3.1.0.jar;%APP_HOME%\lib\json-20160212.jar;%APP_HOME%\lib\xercesImpl-2.12.2.jar;%APP_HOME%\lib\jdom2-2.0.6.jar;%APP_HOME%\lib\spring-jdbc-5.2.9.RELEASE.jar;%APP_HOME%\lib\javacsv-2.0.jar;%APP_HOME%\lib\jsky-1.0.0.jar;%APP_HOME%\lib\checker-qual-3.5.0.jar;%APP_HOME%\lib\xml-apis-1.4.01.jar;%APP_HOME%\lib\spring-tx-5.2.9.RELEASE.jar;%APP_HOME%\lib\spring-beans-5.2.9.RELEASE.jar;%APP_HOME%\lib\spring-core-5.2.9.RELEASE.jar;%APP_HOME%\lib\commons-codec-1.15.jar;%APP_HOME%\lib\saxpath-1.0-FCS.jar;%APP_HOME%\lib\jaxen-core-1.0-FCS.jar;%APP_HOME%\lib\jaxen-jdom-1.0-FCS.jar;%APP_HOME%\lib\bcprov-jdk15on-1.46.jar;%APP_HOME%\lib\spring-jcl-5.2.9.RELEASE.jar;%APP_HOME%\lib\commons-fileupload-1.4.jar;%APP_HOME%\lib\commons-io-2.2.jar


@rem Execute caom2harvester
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %CAOM2HARVESTER_OPTS%  -classpath "%CLASSPATH%" ca.nrc.cadc.caom2.harvester.Main %*

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable CAOM2HARVESTER_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%CAOM2HARVESTER_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
